GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

    • Node.js

    • Python

      • Installation and Usage
      • Authentication Module

      • Management Module

        • User Management

        • Organization Management

        • Role Management

          • Get Role Details
          • Assign Role
          • Revoke Role
          • Get Role Authorized Resources
          • Get Role Member List
          • Get Role Department List
          • Create Role
          • Get Role List
          • Delete Roles
          • Batch Create Roles
          • Update Role
        • User Group Management

        • Custom Field Management

        • Resource and Permission Management

        • 管理应用

        • 管理身份源

        • 管理安全配置

        • 管理消息服务

        • 管理 Pipeline

        • 管理 Webhook

        • 获取审计日志

        • 管理计量计费

        • 事件
  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Python
  6. /
  7. Management Module

  8. /
  9. Role Management

  10. /
  11. Batch Create Roles

¶ Create roles in batches

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Create roles in batches, you can choose permission grouping, role description, etc.

¶ Method name

ManagementClient.create_roles_batch

¶ Request parameters

NameType
Required
Default value
Description
Sample value
listRoleListItem[]Yes-Role list Array length limit: 50.[{"code":"my-role-code","namespace":"default","description":"this is description"}]

¶ Request Response

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataIsSuccessDtoWhether the operation is successful

Example results:

{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

¶ Data Structure

¶ RoleListItem

nametype
Is it required?
Description
Sample value
codestringyesUnique identifier of the role in the permission groupmy-role-code
namestringnoRole name in the permission groupmy-role-name
descriptionstringnoRole descriptionthis is a description about the role
namespacestringnoThe code of the permission group (permission space). If it is not passed, the default permission group will be obtained.default

¶ IsSuccessDto

NameType
Is it required
Description
Sample value
successbooleanyesWhether the operation was successfultrue
Previous article: Delete Roles Next article: Update Role
  • Method name
  • Request parameters
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.